function [Ein,Echk]=cargasel(T,Echk,E2,E4,E5,E6,direccion)
// ANFISLAB: Toolbox de ANFIS (ADAPTATIVE-NETWORK-BASED-FUZZY INFERENCE SYSTEM) para SCILAB
// Creado Por Andres G. Avendao Cabezas., Universidad Central de Venezuela (andrewg.avendano@gmail.com),
// Agosto de 2009, con adaptaciones del codigo ANFIS de dominio publico de Jyh-shing Roger Jang
// (http://www.cs.nthu.edu.tw/~jang/publication.htm) y FISLAB de G. Ortega.
// Este programa fue probado en SCILAB version 5.1.1, PC Intel Core(TM) Duo 2,1Ghz, corriendo Linux 2.6.27.7

// Cargasel: Interfaz para la carga de datos de entrenamiento o validacin
direccion=uigetfile(["*.*"],direccion);
E= fscanfMat(direccion);
[p,ka] = size(E)
  if T==0 then
      Ein=E;
      set(E2,"enable","on");
      set(E4,"enable","on");
      plot([1:p],Ein(:,ka));
  elseif T==1 then
      Echk=E;
      set(E2,"enable","on");
        if Ein~=[] then
          set(E6,"enable","on");
          plot([1:p],Echk(:,ka));
        end
  end
endfunction