function [abc,pqr,FP,k,L]=genera(Ein,E1,E2,E3,E4,E5,ET1,T7,Lst1,Lst3,Lst4)
// ANFISLAB: Toolbox de ANFIS (ADAPTATIVE-NETWORK-BASED-FUZZY INFERENCE SYSTEM) para SCILAB
// Creado Por Andres G. Avendao Cabezas., Universidad Central de Venezuela (andrewg.avendano@gmail.com),
// Agosto de 2009, con adaptaciones del codigo ANFIS de dominio publico de Jyh-shing Roger Jang
// (http://www.cs.nthu.edu.tw/~jang/publication.htm) y FISLAB de G. Ortega.
// Este programa fue probado en SCILAB version 5.1.1, PC Intel Core(TM) Duo 2,1Ghz, corriendo Linux 2.6.27.7

// Genera: Carga la configuracin en memoria genera los parmetros iniciales y los muestra.
set(E1,"enable","off");
set(E2,"enable","off");
set(E3,"enable","off");
set(E4,"enable","off");
set(E5,"enable","off");
[p,ko]=size(Ein);
k=ko-1;
FP=get(Lst1, "value");
Le=get(ET1, "string");
  if isnum(Le) then
    L=evstr(Le)
    if L~=int(L) then
      set(E1,"enable","on");
      set(E2,"enable","on");
      set(E3,"enable","on");
      set(E4,"enable","on");
      set(E5,"enable","on");
      error('El parmetro # funciones de pertenencia debe ser un nmero entero!')
    end			
  else 	
    set(E1,"enable","on");
    set(E2,"enable","on");
    set(E3,"enable","on");
    set(E4,"enable","on");
    set(E5,"enable","on");
    error('El parmetro # funciones de pertenencia debe ser un nmero entero!')
  end
abc=abcfixed(Ein,L,FP)
grafica(Ein,k,abc,FP,L);
pqr=zeros(L^k,(k+1));
err='inf';
showres(abc,pqr,err,L,k,Lst3,Lst4,T7);
set(E1,"enable","on");
set(E2,"enable","on");
set(E3,"enable","on");
set(E4,"enable","on");
set(E5,"enable","on");
endfunction
