function export(Lst1,ET1,ET4,abc,pqr)
// ANFISLAB: Toolbox de ANFIS (ADAPTATIVE-NETWORK-BASED-FUZZY INFERENCE SYSTEM) para SCILAB
// Creado Por Andres G. Avendao Cabezas., Universidad Central de Venezuela (andrewg.avendano@gmail.com),
// Agosto de 2009, con adaptaciones del codigo ANFIS de dominio publico de Jyh-shing Roger Jang
// (http://www.cs.nthu.edu.tw/~jang/publication.htm) y FISLAB de G. Ortega.
// Este programa fue probado en SCILAB version 5.1.1, PC Intel Core(TM) Duo 2,1Ghz, corriendo Linux 2.6.27.7

// Export: Exporta los parmetros del sistema a un archivo de texto.
FP=get(Lst1, "value");
Le=get(ET1, "string");
kae=get(ET4, "string");
L=evstr(Le);
ka=evstr(kae);
[b,xc]=size(pqr);
k=xc-1;
pqrt=matrix(pqr,L^k*xc,1);
abct=matrix(abc,k*L*3,1);
exporta=[k;L;FP;ka;abct;pqrt];
direccion=uigetfile(["*.*"],direccion);
fprintfMat(direccion,exporta)
endfunction
