function grafica(Ein,k,abc,FP,L)
// ANFISLAB: Toolbox de ANFIS (ADAPTATIVE-NETWORK-BASED-FUZZY INFERENCE SYSTEM) para SCILAB
// Creado Por Andres G. Avendao Cabezas., Universidad Central de Venezuela (andrewg.avendano@gmail.com),
// Agosto de 2009, con adaptaciones del codigo ANFIS de dominio publico de Jyh-shing Roger Jang
// (http://www.cs.nthu.edu.tw/~jang/publication.htm) y FISLAB de G. Ortega.
// Este programa fue probado en SCILAB version 5.1.1, PC Intel Core(TM) Duo 2,1Ghz, corriendo Linux 2.6.27.7

// grafica: Dibuja la distribucin de las funciones de pertenencia en el universo de discurso de la primera entrada.
abcm=matrix(abc',3*k*L,1);
U(1,:)=[abc(1,3):(abc(L,3)-abc(1,3))/200:abc(L,3)];
m=0;
  for i=1:3:3*L;
    m=m+1;
    Ap(m,:) = fzfir(FP,U(1,:), abcm(i), abcm(i+1),abcm(i+2));
  end
delete()
plot(U,Ap');
endfunction
