function [abc,pqr,evol]=modela(Ein,Echk,L,FP,abc,pqr,Lst2,Lst3,Lst4,T7,ET2,ET3,ET4,E4,E5,E6)
// ANFISLAB: Toolbox de ANFIS (ADAPTATIVE-NETWORK-BASED-FUZZY INFERENCE SYSTEM) para SCILAB
// Creado Por Andres G. Avendaño Cabezas., Universidad Central de Venezuela (andrewg.avendano@gmail.com),
// Agosto de 2009, con adaptaciones del codigo ANFIS de dominio publico de Jyh-shing Roger Jang
// (http://www.cs.nthu.edu.tw/~jang/publication.htm) y FISLAB de G. Ortega.
// Este programa fue probado en SCILAB version 5.1.1, PC Intel Core(TM) Duo 2,1Ghz, corriendo Linux 2.6.27.7

// modela: Pasa los parámetros desde el GUI a las librerías dinámicas y muestra los resultados.
winId=progressionbar('Espere');
set(E4,"enable","off");
set(E5,"enable","off");
set(E6,"enable","off");
[pin,ko]=size(Ein);
  if Echk==[] then
    pchk=0;Echk=zeros(1,ko)
  else
    [pchk,ko2]=size(Echk);
    if ko2 ~= ko then
      Echk=zeros(1,ko);pchk=0;
    end
  end
k=ko-1;
erre=get(ET2, "string");
  if isnum(erre) then
    err=evstr(erre)
    else winclose(winId); error('El parámetro error debe ser un número real!')
  end
itre=get(ET3, "string");
  if isnum(itre) then
    itr=evstr(itre)
    if itr~=int(itr) then
      winclose(winId);
      error('El parámetro iteraciones debe ser un número entero!')
    end			
  else winclose(winId); error('El parámetro iteraciones debe ser un número entero!')
  end
kae=get(ET4, "string");
  if isnum(kae) then
    ka=evstr(kae)
  else winclose(winId); error('El parámetro paso debe ser un número real!')
  end
tpo=get(Lst2, "value");
  if tpo==1 then 
     // pause
    [abc,pqr,evola]=hytrain(k,L,pin,pchk,FP,itr,err,ka,abc,pqr,Ein,Echk);
    for i=1:itr
      if evola(i,2) == 0 then 
        itr=i-1;break;
      else evol(i,:)=evola(i,:);
      end
    end
  elseif tpo==2 then
    [abc,pqr,evol]=hyontrain(k,L,pin,FP,ka,abc,pqr,Ein);
  end
delete()
plot([1:max(evol(:,1))],evol(1:max(evol(:,1)),2));
strka=string(evol(max(evol(:,1)),3));
set(ET4,'string',strka);
showres(abc,pqr,min(evol(:,2)),L,k,Lst3,Lst4,T7)
set(E4,"enable","on");
set(E5,"enable","on");
if Echk~=[] then
  set(E6,"enable","on");
end
winclose(winId);
endfunction
