function [O,Yp]=valida(Echk,k,L,FP,abc,pqr,Lst3,Lst4,T7)
// ANFISLAB: Toolbox de ANFIS (ADAPTATIVE-NETWORK-BASED-FUZZY INFERENCE SYSTEM) para SCILAB
// Creado Por Andres G. Avendaño Cabezas., Universidad Central de Venezuela (andrewg.avendano@gmail.com),
// Agosto de 2009, con adaptaciones del codigo ANFIS de dominio publico de Jyh-shing Roger Jang
// (http://www.cs.nthu.edu.tw/~jang/publication.htm) y FISLAB de G. Ortega.
// Este programa fue probado en SCILAB version 5.1.1, PC Intel Core(TM) Duo 2,1Ghz, corriendo Linux 2.6.27.7

// Valida: Gráfica la predicción del sistema con respecto a la salida real de los datos de validación.
[pchk,ka]=size(Echk);

if ka==k then
  Echk=[Echk zeros(pchk,1)]
  O5=check(k,L,pchk,FP,abc,pqr,Echk);
  O=O5'
  if Ein~=[] then
    delete()
  end
  plot([1:pchk],[O]);
  Yp=[0];
elseif ka==k+1 then
  Ep=Echk(:,1:ka-1);
  Yp=Echk(:,ka);
  k=ka-1;
  O5=check(k,L,pchk,FP,abc,pqr,Echk);
  O=O5'
  if Ein~=[] then
    delete()
  end
  plot([1:pchk],[Yp O]);
  err=(Yp-O)^2;
  errchk=string(sqrt(sum(err)/pchk));
  set(T7,'string',errchk);
end
endfunction
